Zum Hauptinhalt springen
GET
/
cms
/
v3
/
pages
/
site-pages
/
{objectId}
/
revisions
Alle vorherigen Versionen einer Website-Seite abrufen
curl --request GET \
  --url https://api.hubapi.com/cms/v3/pages/site-pages/{objectId}/revisions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "object": {
        "abTestId": "<string>",
        "archivedAt": "2023-11-07T05:31:56Z",
        "archivedInDashboard": true,
        "attachedStylesheets": [
          {}
        ],
        "authorName": "<string>",
        "campaign": "<string>",
        "categoryId": 123,
        "contentGroupId": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "createdById": "<string>",
        "currentlyPublished": true,
        "domain": "<string>",
        "dynamicPageDataSourceId": "<string>",
        "dynamicPageDataSourceType": 123,
        "dynamicPageHubDbTableId": "<string>",
        "enableDomainStylesheets": true,
        "enableLayoutStylesheets": true,
        "featuredImage": "<string>",
        "featuredImageAltText": "<string>",
        "folderId": "<string>",
        "footerHtml": "<string>",
        "headHtml": "<string>",
        "htmlTitle": "<string>",
        "id": "<string>",
        "includeDefaultCustomCss": true,
        "layoutSections": {},
        "linkRelCanonicalUrl": "<string>",
        "mabExperimentId": "<string>",
        "metaDescription": "<string>",
        "name": "<string>",
        "pageExpiryDate": 123,
        "pageExpiryEnabled": true,
        "pageExpiryRedirectId": 123,
        "pageExpiryRedirectUrl": "<string>",
        "pageRedirected": true,
        "password": "<string>",
        "publicAccessRules": [
          {}
        ],
        "publicAccessRulesEnabled": true,
        "publishDate": "2023-11-07T05:31:56Z",
        "publishImmediately": true,
        "slug": "<string>",
        "state": "<string>",
        "subcategory": "<string>",
        "templatePath": "<string>",
        "themeSettingsValues": {},
        "translatedFromId": "<string>",
        "translations": {},
        "updated": "2023-11-07T05:31:56Z",
        "updatedById": "<string>",
        "url": "<string>",
        "useFeaturedImage": true,
        "widgetContainers": {},
        "widgets": {}
      },
      "updatedAt": "2023-11-07T05:31:56Z",
      "user": {
        "email": "<string>",
        "fullName": "<string>",
        "id": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectId
string
erforderlich

Abfrageparameter

after
string

Das Paginierungscursor-Token der zuletzt erfolgreich gelesenen Ressource wird als „paging.next.after“-JSON-Eigenschaft einer paginierten Antwort mit weiteren Ergebnissen zurückgegeben.

before
string
limit
integer<int32>

Die maximale Anzahl der Ergebnisse, die pro Seite angezeigt werden.

Antwort

successful operation

results
object[]
erforderlich
total
integer<int32>
erforderlich
paging
object

Model definition for paging.

Last modified on April 13, 2026